## stex 1.2.1%2Bgit20171204.g5e4f0ca

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	sed -e 's,^STEXLIB=.*,STEXLIB=/usr/share/stex,' Makefile.template > debian/Makefile.template

override_dh_auto_install:
	:

override_dh_clean:
	dh_clean
	rm -f debian/Makefile.template

## stex 1.2.1+git20171204.g5e4f0ca

=== gifs/Makefile ===
gifs = ghostRightarrow.gif

density=-r90x90

.SUFFIXES:
.SUFFIXES: .tex .gif

# translate ps file to ppm, crop to minimum background, and translate ppm
# to gif with white (background) transparent
#
.tex.gif:
	echo | latex $* &&\
          dvips -f < $*.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f $*.dvi $*.log *.aux
	test -f $*.gif && chmod 644 $*.gif

all: ${gifs}

# make ghostRightarrow.gif a completely transparent version of Rightarrow.ps
#
# translate ps to gif as above but w/o making white transparent, map black
# to white, convert to ppm, and convert back to gif with white transparent
#
# could skip intermediate conversion to gif if we could map black to white
# with some ppm tool
#
# it seems like should be able to replace last three steps with
#    giftrans -g '#000000=#ffffff' -t '#ffffff'
# or at least
#    giftrans -g '#000000=#ffffff' | giftrans -t '#ffffff'
# but giftrans changes only the first white color it sees, not all
#
ghostRightarrow.gif: Rightarrow.tex
	echo | latex Rightarrow &&\
          dvips -f < Rightarrow.dvi |\
          gs -q -dNOPAUSE -dSAFER -sDEVICE=ppmraw -sOutputFile=-\
          ${density} - |\
          pnmcrop |\
          ppmtogif |\
          giftrans -g '#000000=#ffffff' |\
          giftopnm |\
          ppmtogif -transparent white > $*.gif
	/bin/rm -f Rightarrow.dvi Rightarrow.log Rightarrow.aux
	test -f $*.gif && chmod 644 $*.gif

clean:
	rm -f *.log *.aux *.dvi Make.out

distclean: clean
	rm -f *.gif

=== debian/changelog ===
stex (1.2.1+git20171204.g5e4f0ca-6) unstable; urgency=medium

  * Depend on texlive-latex-extra to get enumitem.

 -- Gwen Weinholt <weinholt@debian.org>  Sun, 30 Jun 2024 23:28:00 +0200

stex (1.2.1+git20171204.g5e4f0ca-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository-Browse.

  [ Barak A. Pearlmutter ]
  * Bump policy
  * debian/rules do not require root
  * lintian override for non-doc .tex files in /usr/share

  [ Gwen Weinholt ]
  * debian/control: Set debhelper-compat version in Build-Depends
  * Depend on texlive-latex-recommended to get etoolbox
  * debian/{control,copyright}: Use my new name

 -- Gwen Weinholt <weinholt@debian.org>  Sun, 30 Jun 2024 14:48:53 +0200

stex (1.2.1+git20171204.g5e4f0ca-4) unstable; urgency=medium

  * debian/control: Replace texlive-generic-recommended with
    texlive-plain-generic. Thanks to peter green for the report
    (Closes: #932187)

 -- Göran Weinholt <weinholt@debian.org>  Thu, 18 Jul 2019 13:57:47 +0200

stex (1.2.1+git20171204.g5e4f0ca-3) unstable; urgency=medium

  * debian/rules: Avoid using Makefile, which depends on chezscheme

 -- Göran Weinholt <weinholt@debian.org>  Sun, 30 Sep 2018 15:00:45 +0200

stex (1.2.1+git20171204.g5e4f0ca-2) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * migrate debian/Makefile.template cleaning to debian/clean
  * bump to debhelper 11
  * update URLs and policy

  [ Göran Weinholt ]
  * Update Maintainer to my @debian.org address
  * Add Barak A. Pearlmutter to Uploaders. Thanks for sponsoring!
  * Bump to Standards-Version 4.1.4 (no changes)
  * Set Multi-Arch: foreign on the stex binary package

 -- Göran Weinholt <weinholt@debian.org>  Thu, 10 May 2018 11:48:53 +0200

stex (1.2.1+git20171204.g5e4f0ca-1) unstable; urgency=low

  * Initial release (closes: #883430).

 -- Göran Weinholt <goran@weinholt.se>  Sun, 10 Dec 2017 21:31:06 +0100

=== debian/control ===
Source: stex
Section: tex
Priority: optional
Maintainer: Gwen Weinholt <weinholt@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/dybvig/stex
Vcs-Git: https://salsa.debian.org/debian/stex.git
Vcs-Browser: https://salsa.debian.org/debian/stex

Package: stex
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 texlive-latex-base, texlive-binaries, texlive-plain-generic,
 texlive-latex-extra,
 texlive-latex-recommended,
 ghostscript,
 netpbm,
 chezscheme
Suggests: fig2dev, texlive-font-utils
Description: typeset Scheme code with LaTeX
 Tools for typesetting Scheme code with LaTeX. The scheme-prep tool
 converts stex commands to LaTeX, and html-prep converts some LaTeX to
 html. A makefile is provided that builds stex documents.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 override_dh_auto_install:
 	:
 
-override_dh_clean:
-	dh_clean
-	rm -f debian/Makefile.template
+override_dh_auto_clean:
+	:
+
+override_dh_auto_test:
+	:

=== debian/watch ===
version=4
opts="mode=git" https://github.com/dybvig/stex.git \
  refs/tags/v([\d\.]+) dversionmangle=s/\+dfsg\d*$// debian uupdate
